## org.biojavax.bio.seq.io
Class UniProtLocationParser

    java.lang.Object
      org.biojavax.bio.seq.io.UniProtLocationParser

    public class UniProtLocationParser

extends Object

Parses UniProt location strings into RichLocation objects.

Since:
  1.5
Author:
  Richard Holland

Method Summary
`static RichLocation` `parseLocation(String loc)` Parses a location.
`static String` `writeLocation(RichLocation l)` Writes a location in UniProt format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseLocation

    public static RichLocation parseLocation(String loc)
                                      throws ParseException

  Parses a location.

  Parameters:
    `loc` - the UniProt location string.
  Returns:
    RichLocation the equivalent RichLocation object.
  Throws:
    `ParseException` - if the parsing failed.

### writeLocation

    public static String writeLocation(RichLocation l)

  Writes a location in UniProt format.

  Parameters:
    `l` - the location to write
  Returns:
    the formatted string representing the location.